Subject: RE: [speechsc] Record resource STOP issues

From: Dan Burnett <[email-masked]>
Date: Thu, 31 Aug 2006 13:58:17 -0700 (PDT)

In draft -11 I have now corrected the typo, added the
Active-Request-Id-List header to the STOP response
(along with appropriate text in the description of the
STOP method), and removed the Completion-Cause header
from the STOP response in the STOP example.

-- dan

--- "Shanmugham, Saravanan" <[email-masked]> wrote:

> comments inline.
>  
> I also noticed another typo in 10.4.7 Record URI - 
> I currently reads 
> "This URI is then returned in the "STOP" response of
> the RECORD-COMPLETE
> events."
> It should read,
> "This URI is then returned in the "STOP" response or
> the RECORD-COMPLETE
> events."
> Sarvi
> 
> 
> ________________________________
> 
> 	From: Dave Burke [mailto:[email-masked]] 
> 	Sent: Saturday, May 13, 2006 10:03 AM
> 	To: [email-masked]
> 	Subject: [speechsc] Record resource STOP issues
> 	
> 	
> 	Two issues related to the recorder resource:
> 	 
> 	1. The Active-Request-Id-List is not specified in
> the STOP
> response making this inconsistent with the other
> resources. This should
> be added.
> 	[Sarvi>>]  This is a bug. It should contain an
> Active-Request-Id-List header with the request id of
> the RECORD method.
> 	 
> 	2. In the STOP example, it shows a Completion-Cause
> in the
> response. Is this header allowed here? In its
> defence, the recorder
> resource differs from other resources in that it is
> not really an abort
> - more of an early finish. Also, the value of  "000
> success" is not
> defined (in fact there is no "00x stopped" cause).
> 	[Sarvi>>] This is a bug too. The STOP message
> should not contain
> the Completion-Cause header. If it was stopped, not
> sure a
> Completion-Cause would make sense. becuase the
> client knows that it
> stopped the recording.
> 	 
> 	Dave
> 
> > _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc